[sasmodels] 02/04: Add autopkgtest tests

Stuart Prescott stuart at debian.org
Mon Oct 30 23:02:48 UTC 2017


This is an automated email from the git hooks/post-receive script.

stuart pushed a commit to branch master
in repository sasmodels.

commit 36dd05efa217955abf03c042374631a536b3c636
Author: Stuart Prescott <stuart at debian.org>
Date:   Tue Oct 31 09:41:10 2017 +1100

    Add autopkgtest tests
---
 debian/tests/control           | 12 ++++++++++++
 debian/tests/python-sasmodels  | 16 ++++++++++++++++
 debian/tests/python3-sasmodels | 16 ++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..eff76f9
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,12 @@
+Tests: python-sasmodels
+Restrictions: allow-stderr
+Depends:
+ python-all,
+ python-sasmodels
+
+Tests: python3-sasmodels
+Restrictions: allow-stderr
+Depends:
+ python3-all,
+ python3-sasmodels
+
diff --git a/debian/tests/python-sasmodels b/debian/tests/python-sasmodels
new file mode 100755
index 0000000..268298c
--- /dev/null
+++ b/debian/tests/python-sasmodels
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+
+cd "$ADTTMP"
+
+# opencl needs somewhere to cache compiled objects
+export POCL_CACHE_DIR="$PWD/.cache/"
+mkdir "$POCL_CACHE_DIR"
+# and also tell pyopencl not to cache
+export PYOPENCL_NO_CACHE=1
+
+for py in $(pyversions -i); do
+  $py -m sasmodels.model_test opencl all
+  $py -m unittest -v sasmodels.resolution
+done
diff --git a/debian/tests/python3-sasmodels b/debian/tests/python3-sasmodels
new file mode 100755
index 0000000..4d8e617
--- /dev/null
+++ b/debian/tests/python3-sasmodels
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e -u
+export PYTHONWARNINGS=d
+
+cd "$ADTTMP"
+
+# opencl needs somewhere to cache compiled objects
+export POCL_CACHE_DIR="$PWD/.cache/"
+mkdir "$POCL_CACHE_DIR"
+# and also tell pyopencl not to cache
+export PYOPENCL_NO_CACHE=1
+
+for py in $(py3versions -i); do
+  $py -m sasmodels.model_test opencl all
+  $py -m unittest -v sasmodels.resolution
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/sasmodels.git



More information about the debian-science-commits mailing list